# Uses of Interface
com.usatiuk.dhfs.remoteobj.JDataRemote

Packages that use JDataRemote
Package
Description
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.remoteobj
com.usatiuk.dhfs.syncmap
com.usatiuk.dhfsfs.objects

## Uses of JDataRemote in com.usatiuk.dhfs.peersync

Classes in com.usatiuk.dhfs.peersync that implement JDataRemote
Modifier and Type
Class
Description
`final record`
`PeerInfo`

## Uses of JDataRemote in com.usatiuk.dhfs.remoteobj

Classes in com.usatiuk.dhfs.remoteobj with type parameters of type JDataRemote
Modifier and Type
Interface
Description
`interface`
`ObjSyncHandler<T extends JDataRemote,D extends JDataRemoteDto>`
`final record`
`RemoteObjectDataWrapper<T extends JDataRemote>`
Methods in com.usatiuk.dhfs.remoteobj with type parameters of type JDataRemote
Modifier and Type
Method
Description
`<T extends JDataRemote>
Optional<T>`
RemoteTransaction.`getData(Class<T> type, JObjectKey key)`
`<T extends JDataRemote>
Optional<T>`
RemoteTransaction.`getDataLocal(Class<T> type, JObjectKey key)`
`<T extends JDataRemote>
void`
DefaultObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, JDataRemote receivedData)`
`<T extends JDataRemote>
void`
RemoteTransaction.`putData(T obj)`
`<T extends JDataRemote>
void`
RemoteTransaction.`putDataNew(T obj)`
`<T extends JDataRemote>
void`
RemoteTransaction.`putDataRaw(T obj)`
Methods in com.usatiuk.dhfs.remoteobj that return types with arguments of type JDataRemote
Modifier and Type
Method
Description
`Class<? extends JDataRemote>`
RemoteObjectMeta.`knownType()`
Returns the value of the `knownType` record component.
`default Class<? extends JDataRemote>`
JDataRemoteDto.`objClass()`
Methods in com.usatiuk.dhfs.remoteobj with parameters of type JDataRemote
Modifier and Type
Method
Description
`<T extends JDataRemote>
void`
DefaultObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, JDataRemote receivedData)`
Method parameters in com.usatiuk.dhfs.remoteobj with type arguments of type JDataRemote
Modifier and Type
Method
Description
`RemoteObjectMeta`
RemoteObjectMeta.`withKnownType(Class<? extends JDataRemote> knownType)`
Constructors in com.usatiuk.dhfs.remoteobj with parameters of type JDataRemote
Modifier
Constructor
Description
``
`RemoteObjectMeta(JDataRemote data, PeerId initialPeer)`
Constructor parameters in com.usatiuk.dhfs.remoteobj with type arguments of type JDataRemote
Modifier
Constructor
Description
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, org.pcollections.PMap<PeerId,Long> knownRemoteVersions, Class<? extends JDataRemote> knownType, org.pcollections.PSet<PeerId> confirmedDeletes, boolean seen, org.pcollections.PMap<PeerId,Long> changelog, boolean hasLocalData)`
Creates an instance of a `RemoteObjectMeta` record class.

## Uses of JDataRemote in com.usatiuk.dhfs.syncmap

Classes in com.usatiuk.dhfs.syncmap with type parameters of type JDataRemote
Modifier and Type
Interface
Description
`interface`
`DtoMapper<F extends JDataRemote,D extends JDataRemoteDto>`
Methods in com.usatiuk.dhfs.syncmap with type parameters of type JDataRemote
Modifier and Type
Method
Description
`<F extends JDataRemote, D extends JDataRemoteDto>
F`
DtoMapperService.`fromDto(D from, Class<F> to)`
`<F extends JDataRemote, D extends JDataRemoteDto>
D`
DtoMapperService.`toDto(F from, Class<D> to)`

## Uses of JDataRemote in com.usatiuk.dhfsfs.objects

Classes in com.usatiuk.dhfsfs.objects that implement JDataRemote
Modifier and Type
Class
Description
`final record`
`ChunkData`
ChunkData is a data structure that represents an immutable binary blob
`final record`
`File`
File is a data structure that represents a file in the file system
Methods in com.usatiuk.dhfsfs.objects that return types with arguments of type JDataRemote
Modifier and Type
Method
Description
`Class<? extends JDataRemote>`
FileDto.`objClass()`